

There's a conflict between parport_pc and parport_serial.  parport_pc is
claiming the 9735 and 9835 devices, but parport_pc wants to handle them.  So
remove support for those devices from parport_pc.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/parport/parport_pc.c |    8 --------
 include/linux/pci_ids.h              |    0 
 2 files changed, 8 deletions(-)

diff -puN drivers/parport/parport_pc.c~parport_pc-revert-netmos-patch drivers/parport/parport_pc.c
--- 25/drivers/parport/parport_pc.c~parport_pc-revert-netmos-patch	2005-03-15 21:58:57.000000000 -0800
+++ 25-akpm/drivers/parport/parport_pc.c	2005-03-15 21:59:50.000000000 -0800
@@ -2736,8 +2736,6 @@ enum parport_pc_pci_cards {
 	netmos_9805,
 	netmos_9815,
 	netmos_9855,
-	netmos_9735,
-	netmos_9835,
 	netmos_9755,
 	netmos_9715
 };
@@ -2813,8 +2811,6 @@ static struct parport_pc_pci {
 	/* netmos_9805 */               { 1, { { 0, -1 }, } }, /* untested */
 	/* netmos_9815 */               { 2, { { 0, -1 }, { 2, -1 }, } }, /* untested */
 	/* netmos_9855 */               { 2, { { 0, -1 }, { 2, -1 }, } }, /* untested */
-	/* netmos_9735 */               { 1, { { 2, 3 }, } },  /* untested */
-	/* netmos_9835 */               { 1, { { 2, 3 }, } },  /* untested */
         /* netmos_9755 */               { 2, { { 0, 1 }, { 2, 3 },} }, /* untested */
         /* netmos_9715 */               { 2, { { 0, 1 }, { 2, 3 },} }, /* untested */
 };
@@ -2895,10 +2891,6 @@ static struct pci_device_id parport_pc_p
 	  PCI_ANY_ID, PCI_ANY_ID, 0, 0, netmos_9815 },
 	{ PCI_VENDOR_ID_NETMOS, PCI_DEVICE_ID_NETMOS_9855,
 	  PCI_ANY_ID, PCI_ANY_ID, 0, 0, netmos_9855 },
-	{ PCI_VENDOR_ID_NETMOS, PCI_DEVICE_ID_NETMOS_9735,
-	  PCI_ANY_ID, PCI_ANY_ID, 0, 0, netmos_9735 },
-	{ PCI_VENDOR_ID_NETMOS, PCI_DEVICE_ID_NETMOS_9835,
-	  PCI_ANY_ID, PCI_ANY_ID, 0, 0, netmos_9835 },
 	{ PCI_VENDOR_ID_NETMOS, PCI_DEVICE_ID_NETMOS_9755,
 	  PCI_ANY_ID, PCI_ANY_ID, 0, 0, netmos_9755 },
 	{ PCI_VENDOR_ID_NETMOS, PCI_DEVICE_ID_NETMOS_9715,
diff -puN include/linux/pci_ids.h~parport_pc-revert-netmos-patch include/linux/pci_ids.h
_
